within FlueGasTreatment.Records.Data;
record SCM_sorbent_NaHCO3_SO2_HCl
  "Sorbent properties of Sodium bicarbonate with pollutants of SO2 and_HCl"
  extends ThermalPower.FlueGasTreatment.Records.Data.SCM_sorbent_CAOH2(
    M_p=126.043e-3,
    M_s=84e-3,
    rho_s=2200);
  import Modelon.Media.DataDefinitions.NasaData;
  import Modelica.Constants.pi;

  parameter Modelica.Units.SI.MolarMass M_p_2=NasaData.NaCL.MM
    "Molar weight of NaCl";
    parameter Real RC_Na2SO3 = 0.5 "Moles of Na2SO4 per mole of NaHCO3";
    parameter Real RC_NaCl=1 "Moles of NaCL per mole of NaHCO3";
    parameter Real RC_SO2 = 0.5 "Moles of Na2SO4 per mole of NaHCO3";
    parameter Real RC_HCl=1 "Moles of NaCL per mole of NaHCO3";

  annotation (Icon(coordinateSystem(preserveAspectRatio=false)), Diagram(
        coordinateSystem(preserveAspectRatio=false)));
end SCM_sorbent_NaHCO3_SO2_HCl;
