within FlueGasTreatment.SubComponents;
model SorbentSource "Sorbent Source"
  Modelica.Blocks.Interfaces.RealInput m_flow "Total sorbent flow"
    annotation (Placement(transformation(extent={{-120,-20},{-80,20}})));
  ThermalPower.FlueGasTreatment.Internal.Interfaces.cake_out sorbent
    annotation (Placement(transformation(extent={{88,-12},{108,8}})));
    parameter Real x = 0 "Conversion rate (0=fresh, 1=used)";
equation
    sorbent.m_sorbent = m_flow;
    sorbent.x_B = x;
    sorbent.m_ash = 0;
    sorbent.y = 0.5;
  annotation (Icon(coordinateSystem(preserveAspectRatio=false), graphics={Ellipse(
          extent={{-92,96},{88,-92}},
          lineColor={0,0,0},
          lineThickness=0.5,
          fillPattern=FillPattern.CrossDiag,
          fillColor={175,175,175}), Polygon(
          points={{-60,74},{-58,-70},{88,-2},{-60,74}},
          lineColor={0,0,0},
          lineThickness=0.5,
          fillColor={162,29,33},
          fillPattern=FillPattern.Solid)}),                      Diagram(coordinateSystem(
          preserveAspectRatio=false)));
end SorbentSource;
