within FlueGasTreatment.SubComponents;
model StoechiometryCoefficient
  input Modelica.Units.SI.MolarFlowRate n_pollutant_in "Pollutant molar flowrate at the inlet" annotation(Dialog);
  input Modelica.Units.SI.MolarFlowRate n_pollutant_out "Pollutant molar flowrate at the outlet" annotation(Dialog);
 input Modelica.Units.SI.MolarFlowRate n_product_in "Product molar flowrate injected" annotation(Dialog);
  Real SF;
equation
  SF=max(0,min(10,n_product_in/(n_pollutant_in-n_pollutant_out)));
  annotation (Icon(coordinateSystem(preserveAspectRatio=false), graphics={
          Rectangle(
          extent={{-100,100},{100,-102}},
          lineColor={0,0,0},
          fillPattern=FillPattern.Solid,
          fillColor={255,255,255}),
        Text(
          extent={{80,-20},{-80,20}},
          lineColor={0,0,127},
          textString="%name",
          origin={-4,0},
          rotation=180)}),                                       Diagram(
        coordinateSystem(preserveAspectRatio=false)));
end StoechiometryCoefficient;
